Package ru.bitel.bgbilling.plugins.assistant.server.bean

# Class AssistantContract

java.lang.Object
ru.bitel.bgbilling.plugins.assistant.server.bean.AssistantContract

    public class AssistantContract
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `AssistantContract()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.List<java.util.Map<java.lang.String,​java.lang.Object>>` | `getAccounts()` |
  `java.math.BigDecimal` | `getBalance()` |
  `java.util.List<java.util.Map<java.lang.String,​java.lang.Object>>` | `getCharges()` |
  `java.lang.String` | `getContractComment()` |
  `int` | `getContractId()` |
  `java.lang.String` | `getContractTitle()` |
  `java.math.BigDecimal` | `getLimit()` |
  `java.util.List<java.util.Map<java.lang.String,​java.lang.Object>>` | `getPayments()` |
  `java.lang.String` | `getStatus()` |
  `java.util.List<java.util.Map<java.lang.String,​java.lang.Object>>` | `getTariffs()` |
  `void` | `setAccounts​(java.util.List<java.util.Map<java.lang.String,​java.lang.Object>> accounts)` |
  `void` | `setBalance​(java.math.BigDecimal balance)` |
  `void` | `setCharges​(java.util.List<java.util.Map<java.lang.String,​java.lang.Object>> charges)` |
  `void` | `setContractComment​(java.lang.String contractComment)` |
  `void` | `setContractId​(int contractId)` |
  `void` | `setContractTitle​(java.lang.String contractTitle)` |
  `void` | `setLimit​(java.math.BigDecimal limit)` |
  `void` | `setPayments​(java.util.List<java.util.Map<java.lang.String,​java.lang.Object>> payments)` |
  `void` | `setStatus​(java.lang.String status)` |
  `void` | `setTariffs​(java.util.List<java.util.Map<java.lang.String,​java.lang.Object>> tariffs)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AssistantContract

    public AssistantContract()

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId​(int contractId)

  - ### getContractTitle

    public java.lang.String getContractTitle()

  - ### setContractTitle

    public void setContractTitle​(java.lang.String contractTitle)

  - ### getContractComment

    public java.lang.String getContractComment()

  - ### setContractComment

    public void setContractComment​(java.lang.String contractComment)

  - ### getStatus

    public java.lang.String getStatus()

  - ### setStatus

    public void setStatus​(java.lang.String status)

  - ### getBalance

    public java.math.BigDecimal getBalance()

  - ### setBalance

    public void setBalance​(java.math.BigDecimal balance)

  - ### getLimit

    public java.math.BigDecimal getLimit()

  - ### setLimit

    public void setLimit​(java.math.BigDecimal limit)

  - ### getTariffs

    public java.util.List<java.util.Map<java.lang.String,​java.lang.Object>> getTariffs()

  - ### setTariffs

    public void setTariffs​(java.util.List<java.util.Map<java.lang.String,​java.lang.Object>> tariffs)

  - ### getPayments

    public java.util.List<java.util.Map<java.lang.String,​java.lang.Object>> getPayments()

  - ### setPayments

    public void setPayments​(java.util.List<java.util.Map<java.lang.String,​java.lang.Object>> payments)

  - ### getCharges

    public java.util.List<java.util.Map<java.lang.String,​java.lang.Object>> getCharges()

  - ### setCharges

    public void setCharges​(java.util.List<java.util.Map<java.lang.String,​java.lang.Object>> charges)

  - ### getAccounts

    public java.util.List<java.util.Map<java.lang.String,​java.lang.Object>> getAccounts()

  - ### setAccounts

    public void setAccounts​(java.util.List<java.util.Map<java.lang.String,​java.lang.Object>> accounts)